/*
 * Sixth 3D engine. Copyright ©2012-2018, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 *
 */

package eu.svjatoslav.sixth.e3d.renderer.raster.shapes.basic.line;

import eu.svjatoslav.sixth.e3d.geometry.Point3D;
import eu.svjatoslav.sixth.e3d.renderer.raster.Color;

public class LineAppearance {

    private final double lineWidth;

    private Color color = new Color(100, 100, 255, 255);

    public LineAppearance() {
        lineWidth = 1;
    }

    public LineAppearance(final double lineWidth) {
        this.lineWidth = lineWidth;
    }

    public LineAppearance(final double lineWidth, final Color color) {
        this.lineWidth = lineWidth;
        this.color = color;
    }

    public Line getLine(final Point3D point1, final Point3D point2) {
        return new Line(point1, point2, color, lineWidth);
    }

    public Line getLine(final Point3D point1, final Point3D point2,
                        final Color color) {
        return new Line(point1, point2, color, lineWidth);
    }

    public double getLineWidth() {
        return lineWidth;
    }

}
